> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the year's consumption

> Automatically determines the current contract year and returns the consumption information so far.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-apps-manager.json get /entitlements/current
openapi: 3.0.1
info:
  title: Fusion Apps Manager API
  description: API for the Apps Manager service for Lucidworks Fusion.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: FUSION_HOST/apps-manager
security: []
tags:
  - name: Entitlements consumption API
    description: Endpoints to get entitlements-related information.
  - name: Entitlements consumption records API
    description: Endpoints for calculating the records consumption.
  - name: Entitlements consumption report API
    description: Endpoints to generate consumption reports.
  - name: Entitlements consumption requests API
    description: Endpoints for calculating the requests consumption.
  - name: Fusion license API
    description: Endpoints to retrieve and replace Fusion licenses.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /entitlements/current:
    get:
      tags:
        - Entitlements consumption API
      summary: Get the year's consumption
      description: >-
        Automatically determines the current contract year and returns the
        consumption information so far.
      operationId: getConsumptionInformation
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseEntitlementsConsumptionSummary'
              example:
                contractDuration:
                  years: 3
                  months: 0
                  days: 0
                info:
                  start: '2023-12-23'
                  end: '2024-12-23'
                  requests: 20000000
                  records: 10000000
                usage:
                  requests: 6246
                  requestsPercentage: 0
                  records: 2425108
                  recordsPercentage: 24
components:
  schemas:
    ResponseEntitlementsConsumptionSummary:
      type: object
      properties:
        contractDuration:
          $ref: '#/components/schemas/EntitlementsContractDuration'
        info:
          $ref: '#/components/schemas/ResponseEntitlementsPeriod'
        usage:
          $ref: '#/components/schemas/ConsumptionSummary'
    EntitlementsContractDuration:
      type: object
      properties:
        years:
          type: integer
          format: int32
        months:
          type: integer
          format: int32
        days:
          type: integer
          format: int32
    ResponseEntitlementsPeriod:
      type: object
      properties:
        start:
          type: string
        end:
          type: string
        requests:
          type: integer
          format: int64
        records:
          type: integer
          format: int64
    ConsumptionSummary:
      type: object
      properties:
        requests:
          type: integer
          format: int64
        requestsPercentage:
          type: integer
          format: int32
        records:
          type: integer
          format: int64
        recordsPercentage:
          type: integer
          format: int32

````